            
class AttendanceController {
    
    def index = { redirect(action:list,params:params) }

    // the delete, save and update actions only accept POST requests
    def allowedMethods = [delete:'POST', save:'POST', update:'POST']

    def list = {
        if(!params.max) params.max = 10
        [ attendanceList: Attendance.list( params ) ]
    }

    def show = {
        def attendance = Attendance.get( params.id )

        if(!attendance) {
            flash.message = "Attendance not found with id ${params.id}"
            redirect(action:list)
        }
        else { return [ attendance : attendance ] }
    }

    def delete = {
        def attendance = Attendance.get( params.id )
        if(attendance) {
            attendance.delete()
            flash.message = "Attendance ${params.id} deleted"
            redirect(action:list)
        }
        else {
            flash.message = "Attendance not found with id ${params.id}"
            redirect(action:list)
        }
    }

    def edit = {
        def attendance = Attendance.get( params.id )

        if(!attendance) {
            flash.message = "Attendance not found with id ${params.id}"
            redirect(action:list)
        }
        else {
            return [ attendance : attendance ]
        }
    }

    def update = {
        def attendance = Attendance.get( params.id )
        if(attendance) {
            attendance.properties = params
            if(!attendance.hasErrors() && attendance.save()) {
                flash.message = "Attendance ${params.id} updated"
                redirect(action:show,id:attendance.id)
            }
            else {
                render(view:'edit',model:[attendance:attendance])
            }
        }
        else {
            flash.message = "Attendance not found with id ${params.id}"
            redirect(action:edit,id:params.id)
        }
    }

    def create = {
        def attendance = new Attendance()
        attendance.properties = params
        return ['attendance':attendance]
    }

    def save = {
        def attendance = new Attendance(params)
        if(!attendance.hasErrors() && attendance.save()) {
            flash.message = "Attendance ${attendance.id} created"
            redirect(action:show,id:attendance.id)
        }
        else {
            render(view:'create',model:[attendance:attendance])
        }
    }
}