            
class MeetingController {
    
    def index = { redirect(action:list,params:params) }

    // the delete, save and update actions only accept POST requests
    def allowedMethods = [delete:'POST', save:'POST', update:'POST']

    def list = {
        if(!params.max) params.max = 10
        [ meetingList: Meeting.list( params ) ]
    }

    def show = {
        def meeting = Meeting.get( params.id )

        if(!meeting) {
            flash.message = "Meeting not found with id ${params.id}"
            redirect(action:list)
        }
        else { return [ meeting : meeting ] }
    }

    def delete = {
        def meeting = Meeting.get( params.id )
        if(meeting) {
            meeting.delete()
            flash.message = "Meeting ${params.id} deleted"
            redirect(action:list)
        }
        else {
            flash.message = "Meeting not found with id ${params.id}"
            redirect(action:list)
        }
    }

    def edit = {
        def meeting = Meeting.get( params.id )

        if(!meeting) {
            flash.message = "Meeting not found with id ${params.id}"
            redirect(action:list)
        }
        else {
            return [ meeting : meeting ]
        }
    }

    def update = {
        def meeting = Meeting.get( params.id )
        if(meeting) {
            meeting.properties = params
            if(!meeting.hasErrors() && meeting.save()) {
                flash.message = "Meeting ${params.id} updated"
                redirect(action:show,id:meeting.id)
            }
            else {
                render(view:'edit',model:[meeting:meeting])
            }
        }
        else {
            flash.message = "Meeting not found with id ${params.id}"
            redirect(action:edit,id:params.id)
        }
    }

    def create = {
        def meeting = new Meeting()
        meeting.properties = params
        return ['meeting':meeting]
    }

    def save = {
        def meeting = new Meeting(params)
        if(!meeting.hasErrors() && meeting.save()) {
            flash.message = "Meeting ${meeting.id} created"
            redirect(action:show,id:meeting.id)
        }
        else {
            render(view:'create',model:[meeting:meeting])
        }
    }
}